#!/usr/bin/env python3

import sys,os

class Header:
  subj		= 0
  opti_1	= 1
  opti_2	= 2
  opti_3	= 3
  opti_4	= 4
  opti_5	= 5
  qwerty_1	= 6
  qwerty_2	= 7
  qwerty_3	= 8
  qwerty_4	= 9
  qwerty_5	= 10
  group		= 11
  

def readExcelCSVFile(infile,df):

  try:
    f = open(infile,'r')
  except IOError:
    print("Can't open file: " + infile)
    return

  # read lines, throwing away first one (header)
# linelist = f.readlines()
# linelist = f.read().split('\r')
  linelist = f.read().split('\n')
# linelist = f.read().splitlines()
  linelist = linelist[1:]

  # file structure is such that a header precedes the csv data; this is
  # identified by a line that starts of with the csv column identifiers,
  # with the first being Timestamp
  for line in linelist:

    entry = line.split(',')

    subj = entry[Header.subj].strip()
    group = entry[Header.group].strip()

    str = "%s,%s,%s,%s,%s" % (subj,"opti","1",group,entry[Header.opti_1])
    print(str, file=df)
    str = "%s,%s,%s,%s,%s" % (subj,"opti","2",group,entry[Header.opti_2])
    print(str, file=df)
    str = "%s,%s,%s,%s,%s" % (subj,"opti","3",group,entry[Header.opti_3])
    print(str, file=df)
    str = "%s,%s,%s,%s,%s" % (subj,"opti","4",group,entry[Header.opti_4])
    print(str, file=df)
    str = "%s,%s,%s,%s,%s" % (subj,"opti","5",group,entry[Header.opti_5])
    print(str, file=df)
    str = "%s,%s,%s,%s,%s" % (subj,"qwerty","1",group,entry[Header.qwerty_1])
    print(str, file=df)
    str = "%s,%s,%s,%s,%s" % (subj,"qwerty","2",group,entry[Header.qwerty_2])
    print(str, file=df)
    str = "%s,%s,%s,%s,%s" % (subj,"qwerty","3",group,entry[Header.qwerty_3])
    print(str, file=df)
    str = "%s,%s,%s,%s,%s" % (subj,"qwerty","4",group,entry[Header.qwerty_4])
    print(str, file=df)
    str = "%s,%s,%s,%s,%s" % (subj,"qwerty","5",group,entry[Header.qwerty_5])
    print(str, file=df)

#######################
# find all files in dir with .csv extension
dir = os.listdir('./excel')
lst = [a for a in dir if a.endswith('.csv')]

# process each .csv file
for file in lst:

  print("processing: ", file)

  df = open(file,'w')

  str = "%s,%s,%s,%s,%s" % ("subj","cond", "trial","group",file[:file.rfind(".csv")])
  print(str, file=df)

  # convert csv file to R csv
  dfile = "./excel/" + file
  readExcelCSVFile(dfile,df)

  df.close()
